Page MenuHomePhabricator

[EPIC] Complete the First Deployment tutorial/checklist for the trial render service
Closed, ResolvedPublic

Description

This task and its subtasks capture the individual parts of wt:Services/FirstDeployment doc.

These steps (see the subtasks) can be taken in parallel with creating a New Service Request.

NOTE: The New Service Request hasn't been filed yet. Once we're confident that the service is in a reasonable state (i.e. at least T176627 and T178278 are resolved), then we'll file the NSR.

Related Objects

StatusAssignedTask
StalledNone
OpenNone
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedakosiaris
Resolvedmobrovac
Resolvedfgiunchedi
Resolvedpmiazga
Resolvedfaidon
Resolvedmobrovac
Resolvedmobrovac
Resolvedpmiazga
ResolvedJdrewniak
Resolvedmobrovac
Resolvedphuedx
Resolvedpmiazga
Resolvedpmiazga
ResolvedNiedzielski

Event Timeline

phuedx created this task.Oct 12 2017, 1:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 1:36 PM
phuedx added a subscriber: bmansurov.EditedOct 13 2017, 1:28 PM

Having read the tutorial/checklist through, this boils down to:

We'll need tasks for the Scap3ization, Puppetization, and New Service Request creation tasks since they can all be done in parallel and will progress at different speeds.

@bmansurov: I think I've asked this before but is there a task covering the creation of the service's repo? If so, then could you also add the creation of the deploy repo per wt:Services/FirstDeployment#Repositories?

@bmansurov: I think I've asked this before but is there a task covering the creation of the service's repo? If so, then could you also add the creation of the deploy repo per wt:Services/FirstDeployment#Repositories?

There's no specific task for that, but our requests to create such repo has been fulfilled. We now have two repos, code and deploy, at:

https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/chromium-render

and

https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/services/chromium-render/deploy

I'll need to follow the instructions that you linked again (I did it once against my local code repo) against the new gerrit deploy repo and we're good to go.

🎉🎉🎉

FTR I've raised an issue on the GitHub version of the repository that covers the minor changes to package.json.

Right! I'll update the description of this task to detail the reason for these changes but the changes themselves are tracked as subtasks. Also, this is probably an Epic.

bmansurov added a comment.EditedOct 13 2017, 4:19 PM

Your request has been noted and I'll address it. Since we've moved to gerrit, can we request feature changes in tasks in Phabricator? I don't see any need to go back to the github repo from now on.

Edit: I've replied to your issue on github.

Jdlrobson added a subscriber: Jdlrobson.EditedOct 30 2017, 11:30 PM

What exactly needs analysis here? Can it be summarised in the description? I'm not sure how to help here (or whether my help is needed).

phuedx updated the task description. (Show Details)Oct 31 2017, 5:56 PM
phuedx updated the task description. (Show Details)Nov 1 2017, 9:37 AM
Jdlrobson changed the task status from Open to Stalled.Nov 9 2017, 11:22 PM

Seems like this is stalled until the subtasks are done.

ovasileva changed the task status from Stalled to Open.Jan 17 2018, 5:29 PM
Jdlrobson renamed this task from Complete the First Deployment tutorial/checklist for the trial render service to [EPIC] Complete the First Deployment tutorial/checklist for the trial render service.Feb 5 2018, 6:38 PM
Jdlrobson added a project: Epic.
Jdlrobson moved this task from Needs Analysis to Epics/Goals on the Readers-Web-Backlog board.
ovasileva triaged this task as High priority.Feb 9 2018, 3:09 PM
phuedx changed the status of subtask T178168: Scap3ize the deploy repository from Open to Stalled.
phuedx changed the task status from Open to Stalled.Mar 7 2018, 4:20 PM
phuedx closed this task as Resolved.Sep 11 2018, 1:57 PM
phuedx claimed this task.

All subtasks of this task are resolved. Being bold.